CREATE TYPE file_extension AS ENUM (
    'txt',
    'csv',
    'html',
    'css',
    'javascript',
    'exe',
    'json',
    'pdf',
    'xls',
    'xlsx',
    'ppt',
    'pptx',
    'doc',
    'docx',
    'bitmap',
    'svg',
    'zip',
    'lzh',
    'tar',
    'ai',
    'bmp',
    'rle',
    'dib',
    'cgm',
    'dwf',
    'epsf',
    'eps',
    'ps',
    'fif',
    'fpx',
    'gif',
    'jpg',
    'jpeg',
    'jpe',
    'jfif',
    'jfi',
    'pcd',
    'pict',
    'pct',
    'png',
    'tga',
    'tpic',
    'vda',
    'vst',
    'tiff',
    'tif',
    'wrl',
    'xbm',
    'xpm',
    'aiff',
    'aif',
    'au',
    'snd',
    'kar',
    'midi',
    'mid',
    'smf',
    'm1a',
    'm2a',
    'mp2',
    'mp3',
    'mpa',
    'mpega',
    'rpm',
    'swa',
    'dcr',
    'dir',
    'dxr',
    'vqf',
    'wav',
    'aab',
    'aam',
    'aas',
    'asf',
    'avi',
    'flc',
    'fli',
    'moov',
    'mov',
    'qt',
    'mpeg',
    'mpg',
    'mpe',
    'mpv',
    'mng',
    'm1s',
    'm1v',
    '2s',
    'm2v',
    'mp4',
    'rm',
    'spl',
    'swf',
    'vdo',
    'viv',
    'vivo',
    'xdm',
    'xdma',
    'folder',
    'playlist',
    'album',
    'other'
);